#ifndef __SITE_AREA_HOVER_HPP__
#define __SITE_AREA_HOVER_HPP__
#include <point.h>
//每张卡包含这样一个对象，保存最后一个分站区域；只有tof一维有这个需求
//1、记录卡进出分站的时间，地点
//2、用于考勤
struct site_area_hover
{
	site_area_hover();
	//调用时机：
	//1、tof一维收到第一个数据点时，以pt=0调用
	//2、数据点解析完毕之后调用
    void on_point(uint64_t card_id,int site_id,const point*pt);
private:
    void enter_site(uint64_t card_id,int enter_site);
    void leave_site(uint64_t card_id,int enter_site);

	int    m_site_id;
	time_t m_enter_time,m_last_time;
	point  m_enter_point,m_last_point;
};
#endif

